# PSF-LoginServer - master - net.psforever.objects.TurretDeployable
PSF - LoginServer - master - net.psforever.objects.TurretDeployable
Keywords: PSF LoginServer master net.psforever.objects.TurretDeployable

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# TurretDeployable

###

#### class TurretDeployable extends Deployable with WeaponTurret with JammableUnit with Hackable

Source
  TurretDeployable.scala

Linear Supertypes
Hackable, JammableUnit, WeaponTurret, Container, MountableWeapons, Mountable, MountedWeapons, Deployable, BaseDeployable, OwnableByPlayer, Vitality, VitalsHistory, BlockMapEntity, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretDeployable
2. Hackable
3. JammableUnit
4. WeaponTurret
5. Container
6. MountableWeapons
7. Mountable
8. MountedWeapons
9. Deployable
10. BaseDeployable
11. OwnableByPlayer
12. Vitality
13. VitalsHistory
14. BlockMapEntity
15. PlanetSideServerObject
16. ZoneAware
17. FactionAffinity
18. PlanetSideGameObject
19. WorldEntity
20. IdentifiableEntity
21. Identifiable
22. AnyRef
23. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TurretDeployable(tdef: TurretDeployableDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def AssignOwnership(playerOpt: Option[Player]): OwnableByPlayer

   na

   na

   playerOpt

     na

   returns

     na

   Definition Classes
     OwnableByPlayer
7.  def AssignOwnership(player: Player): OwnableByPlayer

   na

   na

   player

     na

   returns

     na

   Definition Classes
     OwnableByPlayer
8.  def CanDamage: Boolean
   Definition Classes
     Vitality
9.  def CanRepair: Boolean
   Definition Classes
     Vitality
10.  def ClearHistory(): List[VitalsActivity]
    Definition Classes
      VitalsHistory
11.  def Collisions(index: Int, width: Int, height: Int): Try[List[InventoryItem]]

    Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
    Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`.

    Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
    Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`. Where the `Equipment` object is defined by the dimensions `width` and `height`, starting a search at `index` will search all positions within a grid-like range of numbers. Under certain searching conditions, this range may be meaningless, such as is the case when searching individual positions that are normal `EquipmentSlot` objects. Regardless, the value collected indicates the potential of multiple objects being discovered and maintains a reference to the object itself and the slot position where the object is located. (As any object can be discovered within the range, that is important.)

    index

      the position to start searching

    width

      the width of the searchable space

    height

      the height of the serachable space

    returns

      a list of objects that have been encountered within the searchable space

    Definition Classes
      Container
    See also

      `GridInventory.CheckCollisionsVar`

12.  def ConfirmUpgrade(upgrade: serverobject.turret.TurretUpgrade.Value): serverobject.turret.TurretUpgrade.Value
    Definition Classes
      WeaponTurret
13.  def Continent: String
    Definition Classes
      ZoneAware
14.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
15.  def ControlledWeapon(wepNumber: Int): Option[Equipment]
    Definition Classes
      MountableWeapons
16.  def DamageModel: DamageResistanceModel
    Definition Classes
      BaseDeployable → Vitality
17.  def DefaultHealth: Int
    Definition Classes
      Vitality
18.  def Definition: TurretDeployableDefinition
    Definition Classes
      TurretDeployable → WeaponTurret → MountableWeapons → Mountable → MountedWeapons → Deployable → BaseDeployable → Vitality → PlanetSideGameObject
19.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
20.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
21.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
22.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
23.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      BaseDeployable → FactionAffinity
24.  def Faction_=(toFaction: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      BaseDeployable → FactionAffinity
25.  def Find(guid: PlanetSideGUID): Option[Int]

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot.

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    guid

      the GUID of the `Equipment`

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
26.  def Find(obj: Equipment): Option[Int]

    Given an object, attempt to locate its slot.

    Given an object, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    obj

      the `Equipment` object

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
27.  def Fit(tile: InventoryTile): Option[Int]
    Definition Classes
      Container
28.  def Fit(obj: Equipment): Option[Int]
    Definition Classes
      Container
29.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
30.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
31.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

32.  def GetSeatFromMountPoint(mountPoint: Int): Option[Int]

    Given a mount point index, return the associated mount index.

    Given a mount point index, return the associated mount index.

    mountPoint

      the mount point

    returns

      the mount index

    Definition Classes
      Mountable
33.  def HackDuration: Array[Int]
    Definition Classes
      Hackable
34.  def HackDuration_=(arr: Array[Int]): Array[Int]
    Definition Classes
      Hackable
35.  def HackEffectDuration: Array[Int]
    Definition Classes
      Hackable
36.  def HackEffectDuration_=(arr: Array[Int]): Array[Int]
    Definition Classes
      Hackable
37.  def HackSound: packet.game.TriggeredSound.Value
    Definition Classes
      Hackable
38.  def HackSound_=(sound: packet.game.TriggeredSound.Value): packet.game.TriggeredSound.Value
    Definition Classes
      Hackable
39.  def HackedBy: Option[HackInfo]
    Definition Classes
      Hackable
40.  def HackedBy_=(hackInfo: HackInfo): Option[HackInfo]
    Definition Classes
      Hackable
41.  def HackedBy_=(agent: Option[Player]): Option[HackInfo]

    Set the hack state of this object by recording important information about the player who caused it.

    Set the hack state of this object by recording important information about the player who caused it. Set the hack state if there is no current hack state. Override the hack state with a new hack state if the new user has different faction affiliation.

    agent

      a `Player`, or no player

    returns

      the player hack entry

    Definition Classes
      Hackable
42.  def HackedBy_=(agent: Player): Option[HackInfo]
    Definition Classes
      Hackable
43.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
44.  def Health: Int
    Definition Classes
      Vitality
45.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vitality
46.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
47.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
48.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
49.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
50.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
51.  def Inventory: GridInventory

    A(n imperfect) reference to a generalized pool of the contained objects.

    A(n imperfect) reference to a generalized pool of the contained objects. Having access to all of the available positions is not required. The entries in this reference should definitely include all unseen positions. The `GridInventory` returned by this accessor is also an implementation of `Container`.

    Definition Classes
      WeaponTurret → Container
    See also

      `VisibleSlots`

52.  def Jammed: Boolean
    Definition Classes
      JammableUnit
53.  def Jammed_=(state: Boolean): Boolean
    Definition Classes
      JammableUnit
54.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
55.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
56.  def MaxHealth: Int
    Definition Classes
      Vitality
57.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
58.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
59.  def MaxShields: Int
    Definition Classes
      BaseDeployable
60.  def MountPoints: Map[Int, MountInfo]

    Retrieve a mapping of each mount from its mount point index.

    Retrieve a mapping of each mount from its mount point index.

    returns

      the mapping of mount point to mount

    Definition Classes
      Mountable
61.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
62.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
63.  def Owner: Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
64.  def OwnerName: Option[String]
    Definition Classes
      OwnableByPlayer
65.  def OwnerName_=(owner: Option[String]): Option[String]
    Definition Classes
      OwnableByPlayer
66.  def OwnerName_=(owner: Player): Option[String]
    Definition Classes
      OwnableByPlayer
67.  def OwnerName_=(owner: String): Option[String]
    Definition Classes
      OwnableByPlayer
68.  def Owner_=(owner: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
69.  def Owner_=(owner: Player): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
70.  def Owner_=(owner: PlanetSideGUID): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
71.  def PassengerInSeat(user: Player): Option[Int]

    Given a player, determine if that player is seated.

    Given a player, determine if that player is seated.

    user

      the player

    returns

      the mount index

    Definition Classes
      Mountable
72.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
73.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
74.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
75.  def Seat(seatNumber: Int): Option[Seat]

    Given a mount's index position, retrieve the internal `Seat` object.

    Given a mount's index position, retrieve the internal `Seat` object.

    returns

      the specific mount

    Definition Classes
      Mountable
76.  def Seats: Map[Int, Seat]

    Retrieve a mapping of each mount from its internal index.

    Retrieve a mapping of each mount from its internal index.

    returns

      the mapping of index to mount

    Definition Classes
      Mountable
77.  def Shields: Int
    Definition Classes
      BaseDeployable
78.  def Shields_=(toShields: Int): Int
    Definition Classes
      BaseDeployable
79.  def Slot(slotNum: Int): EquipmentSlot

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable.

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable. Regardless of the internal storage medium, the format of return is expected to be the same structure of object as the most basic storage component for `Equipment`, namely, `EquipmentSlot` objects. By default, it is expected to return an `EquipmentSlot` that can not be manipulated because it is `Blocked`.

    slotNum

      an index

    returns

      the searchable position identified by that index

    Definition Classes
      Container
    See also

      `OffhandEquipmentSlot`

80.  def Upgrade: serverobject.turret.TurretUpgrade.Value
    Definition Classes
      WeaponTurret
81.  def Upgrade_=(upgrade: serverobject.turret.TurretUpgrade.Value): serverobject.turret.TurretUpgrade.Value
    Definition Classes
      WeaponTurret
82.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
83.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
84.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
85.  def VisibleSlots: Set[Int]

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required.

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required. Only the positions that can be actively viewed by other clients are listed.

    returns

      all of the affected slot indices

    Definition Classes
      WeaponTurret → Container
    See also

      `Inventory`

86.  def WeaponControlledFromSeat(seatNumber: Int): Option[Equipment]

    Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

    Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

    seatNumber

      the mount number

    returns

      a mounted weapon by index, or `None` if either the mount doesn't exist or there is no controlled weapon

    Definition Classes
      MountableWeapons
87.  def Weapons: Map[Int, EquipmentSlot]
    Definition Classes
      MountedWeapons
88.  def Zone: Zone
    Definition Classes
      ZoneAware
89.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
90.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
91.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
92.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
93.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
94.  def controlledWeapon(wepNumber: Int): Option[Equipment]
    Definition Classes
      MountableWeapons
95.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
96.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
97.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
98.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
99.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
100.  val inventory: GridInventory

     may or may not have inaccessible inventory space see `ReserveAmmunition` in the definition

     may or may not have inaccessible inventory space see `ReserveAmmunition` in the definition

     Attributes
       protected
     Definition Classes
       WeaponTurret
101.  final def isInstanceOf[T0]: Boolean
     Definition Classes
       Any
102.  def isMoving(test: Float): Boolean

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     test

       the (squared) velocity to test against

     returns

       `true`, if we are moving; `false`, otherwise

     Definition Classes
       WorldEntity
103.  def isMoving(test: Vector3): Boolean

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     test

       the velocity to test against

     returns

       `true`, if we are moving; `false`, otherwise

     Definition Classes
       WorldEntity
104.  def isMoving: Boolean

     A velocity of non-zero is the same as moving.

     A velocity of non-zero is the same as moving.

     returns

       `true`, if we are moving; `false`, otherwise

     Definition Classes
       WorldEntity
105.  def isUpgrading: Boolean
     Definition Classes
       WeaponTurret
106.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
107.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
108.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
109.  val seats: Map[Int, Seat]
     Attributes
       protected
     Definition Classes
       Mountable
110.  def sector(zone: Zone, range: Float): SectorPopulation

     Buckets in the blockmap are called "sectors".

     Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

     zone

       what region the blockmap represents

     range

       the custom distance from the central sector along the major axes

     returns

       a conglomerate sector which lists all of the entities in the allocated sector(s)

     Definition Classes
       BlockMapEntity
111.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
112.  def toString(): String
     Definition Classes
       AnyRef → Any
113.  def updateBlockMapEntry(newCoords: Vector3): Boolean

     Update the internal data's known coordinate position without changing representation on whatever blockmap.

     Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

     newCoords

       the coordinate position

     returns

       `true`, if the coordinates were updated; `false`, otherwise

     Definition Classes
       BlockMapEntity
114.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
115.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
116.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
117.  val weapons: Map[Int, EquipmentSlot]
     Attributes
       protected
     Definition Classes
       MountedWeapons

### Inherited from Hackable

### Inherited from JammableUnit

### Inherited from WeaponTurret

### Inherited from Container

### Inherited from MountableWeapons

### Inherited from Mountable

### Inherited from MountedWeapons

### Inherited from Deployable

### Inherited from BaseDeployable

### Inherited from OwnableByPlayer

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from BlockMapEntity

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped